//
//  TCPushConfiguration.h
//  TCPushSDK
//
//  Created by JooHyun Lee on 2018. 4. 19..
//  Copyright © 2018년 NHNEnt. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, TCPushType) {
    TCPushTypeAPNs,
    TCPushTypeAPNsSandbox,
    TCPushTypeVoIP,
    TCPushTypeVoIPSandbox,
};

typedef NS_ENUM(NSUInteger, TCPushServiceZone) {
    TCPushServiceZoneReal,
    TCPushServiceZoneBeta,
    TCPushServiceZoneAlpha,
};

extern NSString *const TCPushDefaultChannel;

@interface TCPushConfiguration : NSObject

@property (nonatomic, copy) NSString *appKey;
@property (nonatomic, copy) NSString *userId;
@property (nonatomic, copy) NSString *channel;
@property (nonatomic, copy) NSString *countryCode;
@property (nonatomic, copy) NSString *languageCode;
@property (nonatomic, assign) TCPushType pushType __deprecated_msg("use registerWithPushType:completionHandler: instead.");
@property (nonatomic, assign) TCPushServiceZone serviceZone;
@property (nonatomic, assign) BOOL isAgreeNotification;
@property (nonatomic, assign) BOOL isAgreeAdvertisement;
@property (nonatomic, assign) BOOL isAgreeNightAdvertisement;

- (instancetype)initWithAppKey:(NSString *)appKey
                        userId:(NSString *)userId;

- (BOOL)validateConfiguration;

@end
