//
//  TCPushSDK+Core.h
//  TCPushSDK
//
//  Created by JooHyun Lee on 2018. 4. 19..
//  Copyright © 2018년 NHNEnt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UserNotifications/UserNotifications.h>

#import "TCPushConfiguration.h"
#import "TCPushConstants.h"
#import "TCPushTokenInfo.h"

@protocol TCPushDelegate;

@interface TCPushSdk : NSObject

+ (void)setDebugMode:(BOOL)debugMode;

+ (void)setDelegate:(id<TCPushDelegate>)delegate;

+ (void)initWithConfiguration:(TCPushConfiguration *)configuration;

+ (void)initWithConfiguration:(TCPushConfiguration *)configuration
                   categories:(NSSet<UNNotificationCategory *> *)categories NS_AVAILABLE_IOS(10_0);

+ (NSString *)deviceTokenForPushType:(TCPushType)type;

+ (void)registerWithPushType:(TCPushType)type
           completionHandler:(void (^)(NSString *token, NSError *error))completionHandler;

+ (void)queryWithPushType:(TCPushType)type
        completionHandler:(void (^)(TCPushTokenInfo *tokenInfo, NSError *error))completionHandler;

+ (NSString *)version;


#pragma marks - deprecated
+ (void)registerWithConfiguration:(TCPushConfiguration *)configuration
                completionHandler:(void (^)(NSError *error))completionHandler __deprecated_msg("use registerWithPushType:completionHandler: instead.");

+ (void)queryWithCompletionHandler:(void (^)(TCPushTokenInfo *tokenInfo, NSError *error))completionHandler __deprecated_msg("use registerWithPushType:completionHandler: instead.");

@end

@protocol TCPushDelegate <NSObject>

@optional
- (void)pushSdk:(TCPushSdk *)pushSdk didReceiveAPNsNotificationWithPayload:(NSDictionary *)payload;
- (void)pushSdk:(TCPushSdk *)pushSdk didReceiveVoIPNotificationWithPayload:(NSDictionary *)payload;

- (void)pushSdk:(TCPushSdk *)pushSdk handleAction:(NSString *)actionIdentifier category:(NSString *)categoryIdentifier payload:(NSDictionary *)payload;
- (void)pushSdk:(TCPushSdk *)pushSdk handleAction:(NSString *)actionIdentifier category:(NSString *)categoryIdentifier payload:(NSDictionary *)payload userText:(NSString *)userText;

@end
